.job-list {
  background-color: var(--epcido-background-tertiary);
}
.job-list__wrapper {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
  padding-top: 3rem;
  padding-bottom: 3rem;
}
@media (min-width: 768px) {
  .job-list__wrapper {
    gap: 3rem;
  }
}
@media (min-width: 1024px) {
  .job-list__wrapper {
    gap: 5rem;
    padding-top: 5rem;
    padding-bottom: 5rem;
  }
}
.job-list .job-filters {
  display: none;
  flex-wrap: wrap;
  gap: 1.5rem;
  justify-content: center;
  padding-bottom: 1.5rem;
  border-bottom: 1px solid var(--epcido-text-secondary);
}
@media (min-width: 768px) {
  .job-list .job-filters {
    display: flex;
  }
}
@media (min-width: 1024px) {
  .job-list .job-filters {
    padding-bottom: 2.5rem;
  }
}
.job-list .filter-btn {
  border-radius: 0;
  background-color: var(--epcido-white);
}
.job-list .jobs-container {
  display: flex;
  flex-direction: column;
  gap: 3rem;
}
@media (min-width: 1024px) {
  .job-list .jobs-container {
    gap: 5rem;
  }
}
.job-list .job-card {
  display: flex;
  flex-direction: column;
  padding-bottom: 3rem;
  border-bottom: 1px solid var(--epcido-text-secondary);
  gap: 1.5rem;
  justify-content: space-between;
  align-items: flex-start;
}
@media (min-width: 1024px) {
  .job-list .job-card {
    flex-direction: row;
    align-items: center;
    padding-bottom: 5rem;
  }
}
.job-list .job-card__heading {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}
.job-list .job-card__heading h3 {
  font-size: 25px;
}
@media (min-width: 1024px) {
  .job-list .job-card__heading {
    max-width: 37.75rem;
    width: 47.2%;
  }
}
.job-list .job-card .job-detail {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}
.job-list .job-card.hidden {
  display: none;
}
.job-list .jobs-loading {
  text-align: center;
  padding: 2rem;
  color: var(--epcido-text-secondary);
}
.job-list .short {
    height: 150px;
    overflow:hidden;
    position: relative;
    -webkit-mask-image: linear-gradient(to bottom, black 60%, transparent 100%);
    mask-image: linear-gradient(to bottom, black 60%, transparent 100%);
  }
}
.job-list .job-card__description p {
  margin-bottom: 0.9375rem;
}
.job-list .job-card__description h2 {
  font-size: 1rem;
  margin-bottom: 0.9375rem;
}
.job-list .job-card__description ul {
  list-style-type: disc;
  padding-left: 1.25rem;
}

.job-filters-mobile {
  display: flex;
  position: relative;
  width: 100%;
}
@media (min-width: 768px) {
  .job-filters-mobile {
    display: none;
  }
}
.job-filters-mobile .btn__container, .job-filters-mobile .filter-dropdown-btn {
  width: 100%;
}
.job-filters-mobile .filter-dropdown-btn .btn__inner-container {
  width: 100%;
  justify-content: space-between;
  padding-left: 1.5rem;
  padding-right: 1rem;
}
.job-filters-mobile .filter-dropdown-btn .btn__inner-container svg {
  background-color: var(--epcido-background-tertiary);
  width: 2rem;
  height: 2rem;
  padding: 0.5rem;
}
.job-filters-mobile .dropdown-menu {
  display: none;
  width: 100%;
  position: absolute;
  top: 100%;
  left: 0;
  right: 0;
  background: var(--epcido-white);
  z-index: 10;
  margin-top: 0.75rem;
  padding-top: 1rem;
  padding-bottom: 1rem;
}
.job-filters-mobile .dropdown-menu.open {
  display: block;
}
.job-filters-mobile .dropdown-menu form {
  display: flex;
  flex-direction: column;
}
.job-filters-mobile .dropdown-menu label {
  padding: 0.75rem 1.5rem;
  cursor: pointer;
  display: flex;
  flex-direction: row;
  align-items: center;
}
.job-filters-mobile .dropdown-menu label input[type=radio] {
  margin-right: 1rem;
  accent-color: var(--epcido-primary);
  width: 1.25rem;
  height: 1.25rem;
}
